[問題] 在樹莓派3使用POI 無法執行

看板LinuxDev作者 (我是清流)時間2年前 (), 2年前編輯推噓1(100)
留言1則, 1人參與, 2年前最新討論串1/1
※ [本文轉錄自 java 看板 #1VG8xv83 ] 作者: llzzyy01 (我是清流) 看板: java 標題: [問題] 在樹莓派3使用POI 無法執行 時間: Sat Aug 22 11:20:23 2020 最近我想在樹莓派3上,用POI套件讀取 Excel檔後 丟到MySQL裡,我在windows 筆電用Eclipse寫好程式執行都沒問題 但在樹莓派3用javac complie 都沒有error 執行就會出現以下錯誤 Exception in thread "main" java.lang.NoClassDefFoundError: org/apache/poi/xssf/usermodel/XSSFWorkbook at TEST01.main(TEST01.java:23) Caused by: java.lang.ClassNotFoundException: org.apache.poi.xssf.usermodel.XSSFWorkbook at java.net.URLClassLoader.findClass(URLClassLoader.java:382) at java.lang.ClassLoader.loadClass(ClassLoader.java:418) at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:355) at java.lang.ClassLoader.loadClass(ClassLoader.java:351) ... 1 more 程式內容只是簡單的建立物件 File excelFile = new File("section_1_data.xlsx"); FileInputStream is = new FileInputStream(excelFile); Workbook workbook = new XSSFWorkbook((InputStream) is); POI版本為 4.1.2 JDK版本使用 JDK 8 for ARM java version "1.8.0_261" Java(TM) SE Runtime Environment (build 1.8.0_261-b13) Java HotSpot(TM) Client VM (build 25.261-b13, mixed mode) Raspberry OS版本 PRETTY_NAME="Raspbian GNU/Linux 10 (buster)" 有可能是因為POI不支持JDK for ARM嗎 -- ※ 發信站: 批踢踢實業坊(ptt.cc), 來自: 220.141.117.39 (臺灣) ※ 文章網址: https://www.ptt.cc/bbs/java/M.1598066425.A.203.html ※ 編輯: llzzyy01 (220.141.117.39 臺灣), 08/22/2020 11:20:56 ※ 發信站: 批踢踢實業坊(ptt.cc) ※ 轉錄者: llzzyy01 (220.141.117.39 臺灣), 08/22/2020 11:23:16

08/23 03:30, 2年前 , 1F
少裝 libapache-poi-java 之類的套件吧
08/23 03:30, 1F
文章代碼(AID): #1VG8-b6M (LinuxDev)
文章代碼(AID): #1VG8-b6M (LinuxDev)